Skip to main content
GET
https://api.clay.com/public/v0
/
routines
/
run
/
{routine_run_id}
/
results
Fetch progress and results for a routine run
curl --request GET \
  --url https://api.clay.com/public/v0/routines/run/{routine_run_id}/results \
  --header 'clay-api-key: <api-key>'
const options = {method: 'GET', headers: {'clay-api-key': '<api-key>'}};

fetch('https://api.clay.com/public/v0/routines/run/{routine_run_id}/results', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.clay.com/public/v0/routines/run/{routine_run_id}/results"

headers = {"clay-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "data": [
    {
      "id": "<string>",
      "error": {
        "message": "<string>"
      },
      "result": {}
    }
  ],
  "finished": 123,
  "routine_run_id": "<string>",
  "status": "<string>",
  "total": 123,
  "cursor": "<string>"
}
{
  "finished": 123,
  "routine_run_id": "<string>",
  "status": "<string>",
  "total": 123
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

clay-api-key
string
header
required

Personal API key tied to your Clay user. Create one under Settings → Account in the Clay app.

Path Parameters

routine_run_id
string
required

Query Parameters

cursor
string
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200

data
object[]
required
finished
number
required
routine_run_id
string
required
status
string
required
Allowed value: "complete"
total
number
required
cursor
string